For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceFDX APIChangelog
GuidesAPI ReferenceFDX APIChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
  • DAFpay
  • Donor Accounts
      • GETList Donor Accounts
      • POSTCreate Donor Account
      • GETGet Donor Account
      • PATCHUpdate Donor Account
      • POSTDisable Donor Account
      • POSTEnable Donor Account
  • Disbursements
  • Gift Processing
LogoLogo
Contact usLogin
Donor AccountsDonor Accounts

Get Donor Account

GET
/v1/donor_accounts/:id
GET
/v1/donor_accounts/:id
$curl https://api.givechariot.com/v1/donor_accounts/donor_account_01jpjenf5q6cawy43yxfcrxhct \
> -H "Authorization: Bearer <token>"
1{
2 "id": "donor_account_01jpjenf5q6cawy43yxfcrxhct",
3 "status": "pending",
4 "donor": {
5 "email": "warrenBuffet@example.com",
6 "first_name": "Warren",
7 "last_name": "Buffet",
8 "phone": "+12125550100"
9 },
10 "created_at": "2026-04-01T12:00:00Z",
11 "updated_at": "2026-04-01T12:00:00Z",
12 "external_id": "ACME-DAF-DONOR-1042",
13 "approval": {},
14 "rejection": {},
15 "disabled": false
16}
Retrieve a Donor Account with the given ID.
Was this page helpful?
Previous

Update Donor Account

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The unique id of the Donor Account.

Response

OK
idstringRead-only
The unique identifier for this object.
statusenum

The status of a Donor Account.

  • pending: The Donor Account has been created but the DAF has not yet approved or rejected it.
  • approved: The DAF has verified the donor’s identity and Grants from this account can be processed.
  • rejected: The DAF has rejected the Donor Account. Grants from this account will not be processed.
Allowed values:
donorobject
The donor's identity and profile information.
created_atstringRead-onlyformat: "date-time"
Time when this object was created. Expressed in RFC 3339 format.
updated_atstringRead-onlyformat: "date-time"
Time when this object was last updated. Expressed in RFC 3339 format.
external_idstring or null

The DAF’s internal identifier for this Donor Account. Can be set on creation or via Update Donor Account to link the DAFpay Donor Account to the donor’s record in the DAF’s own systems.

approvalobject or nullRead-only

Details about the approval decision. Present when status is approved; otherwise null.

rejectionobject or nullRead-only

Details about the rejection decision. Present when status is rejected; otherwise null.

disabledbooleanRead-onlyDefaults to false

Whether this Donor Account is currently disabled. A disabled Donor Account remains approved but cannot submit new Grant Requests — call Enable Donor Account to re-enable it. Disabling is only available for accounts in approved status.

metadatamap from strings to strings
A map of arbitrary string keys and values to store information about the object.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error